### Virtual Method

# Gtk CellArea get_preferred_height

#### Declaration [src]

    void
    get_preferred_height (
      GtkCellArea* area,
      GtkCellAreaContext* context,
      GtkWidget* widget,
      int* minimum_height,
      int* natural_height
    )

#### Description [src]

Retrieves a cell area’s initial minimum and natural height.

`area` will store some geometrical information in `context` along the way; when requesting sizes over an arbitrary number of rows, it’s not important to check the `minimum_height` and `natural_height` of this call but rather to consult gtk_cell_area_context_get_preferred_height() after a series of requests.

#### Parameters

`context` | `GtkCellAreaContext`
| The `GtkCellArea`Context to perform this request with.
| The data is owned by the caller of the function.
`widget` | `GtkWidget`
| The `GtkWidget` where `area` will be rendering.
| The data is owned by the caller of the function.
`minimum_height` | `int*`
| Location to store the minimum height.
| The argument will be set by the function.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.
`natural_height` | `int*`
| Location to store the natural height.
| The argument will be set by the function.
| The argument can be `NULL`.
| The called function takes ownership of the data, and is responsible for freeing it.